
import React from "react"
import classNames from "classnames"

/**
 * Produces as FontAwesome <i> elemnt based on the given visibility level
 */
const VisibilityIcon = ({level}) => (
    <i className={
        classNames("text-muted", "fas",
                  {"fa-globe-europe": level >= 30,
                   "fa-shield-alt": level < 30 && level >= 20,
                   "fa-lock": level < 20 && level >= 10})}>
    </i>
)

export default VisibilityIcon
